# DTOSetter Class Reference

Inheritance diagram for DTOSetter:
[legend]

List of all members.

## Public Member Functions

| set ($name, $value)
| getGetter ()

## Private Member Functions

| dtoValue ($value, BasePrimitive $primitive)

## Private Attributes

| $getter = null

## Detailed Description

Definition at line 12 of file DTOSetter.class.php.

## Member Function Documentation

DTOSetter::dtoValue | ( | $ | value,
|  | BasePrimitive $ | primitive |
| ) |  |  | `[private]`

Definition at line 65 of file DTOSetter.class.php.

References PrimitivePolymorphicIdentifier::export().

Referenced by set().

Here is the call graph for this function:

DTOSetter::getGetter | ( |  | ) |

Returns:
  DTOGetter

Reimplemented from PrototypedSetter.

Definition at line 102 of file DTOSetter.class.php.

DTOSetter::set | ( | $ | name,
|  | $ | value |
| ) |  |  |

Reimplemented from PrototypedSetter.

Definition at line 16 of file DTOSetter.class.php.

References ObjectToDTOConverter::create(), dtoValue(), and Assert::isTrue().

Here is the call graph for this function:

## Member Data Documentation

DTOSetter::$getter = null`[private]`

Definition at line 14 of file DTOSetter.class.php.

The documentation for this class was generated from the following file:

- main/EntityProto/Accessors/DTOSetter.class.php